summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYamashita TAKAO <tjy1965@gmail.com>2010-11-29 21:39:02 +0900
committerYamashita TAKAO <tjy1965@gmail.com>2010-11-29 21:39:02 +0900
commit87cd662607ada758d3c7e4fdb874de5d2931467a (patch)
tree3a9319ff1ae321ae2967d99581cb57887dfd229b
parentmodified:ibus-skk (diff)
downloadtjy1965-87cd662607ada758d3c7e4fdb874de5d2931467a.zip
tjy1965-87cd662607ada758d3c7e4fdb874de5d2931467a.tar.gz
tjy1965-87cd662607ada758d3c7e4fdb874de5d2931467a.tar.bz2
add: sys-kernel/kigen/kigen-9999.ebuild
-rw-r--r--sys-kernel/kigen/kigen-9999.ebuild80
1 files changed, 80 insertions, 0 deletions
diff --git a/sys-kernel/kigen/kigen-9999.ebuild b/sys-kernel/kigen/kigen-9999.ebuild
new file mode 100644
index 0000000..1a1ab04
--- /dev/null
+++ b/sys-kernel/kigen/kigen-9999.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit git
+inherit eutils
+
+EGIT_REPO_URI="git://github.com/r1k0/kigen.git"
+SRC_URI=""
+
+DESCRIPTION="a kernel|initramfs generator"
+HOMEPAGE="http://github.com/r1k0/kigen"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64" # ~ppc ~ppc64"
+IUSE="doc" # ibm"
+
+DEPEND="dev-lang/python sys-apps/coreutils app-arch/cpio dev-libs/openssl"
+
+src_unpack() {
+ git_src_unpack
+}
+
+src_install() {
+ cd ${S} || die "cannot cd ${S}"
+
+ # python modules
+ insinto /usr/lib/`eselect python show --python2`/site-packages/kigen || die "cannot insinto site-package"
+
+
+ # we chose kigen as the name rep for compatibility with python import kigen.*
+ # when the sotfware is installed
+ # this way kigen works when installed in site-package/kigen
+ # AND when cloned from git
+ doins -r modules || die "cannot doins modules"
+
+# if use ibm
+# then
+# cp arch/ppc64/kernel-2.6-pSeries arch/ppc64/kernel-2.6
+# else
+# cp arch/ppc64/kernel-2.6.g5 arch/ppc64/kernel-2.6
+# fi
+
+ # arch and default
+ insinto /usr/share/kigen || die "cannot insinto /usr/share/kigen"
+ doins -r arch || die "cannot doins -r arch"
+ doins -r defaults || die "cannot doins -r defaults"
+ doins -r tools || die "cannot doins -r tools"
+ doins -r scripts || die "cannot doins -r scripts"
+
+ # config file
+ insinto /etc || die "cannot insinto /etc"
+ doins -r doc/kigen || die "doins doc/kigen.conf"
+
+ # if USE doc is enabled
+ if use doc
+ then
+ # man page
+ doman doc/man/kigen.8 || die "doman kgen"
+ # README file
+ dodoc README.rst TODO || die "dodoc"
+ fi
+
+ # entry point
+ dosbin kigen || die "dosbin kigen"
+}
+
+#pkg_preinst() {
+# rm ${ROOT}/usr/lib/`eselect python show --python2`/site-packages/kigen/*.py[co]
+#}
+
+pkg_postinst() {
+ ewarn
+ ewarn "This is still experimental software, be cautious."
+ ewarn
+ ewarn "Tell me what works and breaks for you by dropping a comment at"
+ ewarn "http://www.openchill.org/?cat=11"
+ ewarn
+}